package com.njcn.process.pojo.vo.gw;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;

import java.time.LocalDateTime;

/**
 * <p>
 * 技术监督预告警单反馈数据表
 * </p>
 *
 * @author wr
 * @since 2023-09-01
 */
@Getter
public class AlarmBackVO {

    private static final long serialVersionUID = 1L;

    @TableId("alarm_Back_Id")
    private String alarmBackId;

    @TableField("execute_Org_Id")
    private String executeOrgId;

    @TableField("execute_Org_Name")
    private String executeOrgName;

    @TableField("treatment_Measures")
    private String treatmentMeasures;

    @ApiModelProperty("填报人id,取ISC平台上的人员id")
    @TableField("fill_User_Id")
    private String fillUserId;

    @ApiModelProperty("填报人名称,取ISC平台上的人员名称")
    @TableField("fill_User_Name")
    private String fillUserName;

    @ApiModelProperty("完成时间	yyyy-MM-dd HH:mm:ss")
    @TableField("complete_Time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime completeTime;

    @ApiModelProperty("告预警单id,关联告预警单表")
    @TableField("work_Alarm_Id")
    private String workAlarmId;

    @ApiModelProperty("单据编号")
    @TableField(exist = false)
    private String billNo;

    @ApiModelProperty("单据名称")
    @TableField(exist = false)
    private String billName;


    @ApiModelProperty("反馈单位id,取ISC平台上的组织id")
    @TableField("feedback_Org_Id")
    private String feedbackOrgId;

    @ApiModelProperty("反馈单位名称,取ISC平台上的组织名称")
    @TableField("feedback_Org_Name")
    private String feedbackOrgName;

    @TableField("province_Id")
    private String provinceId;

    @ApiModelProperty("省名称,取ISC平台上的组织名称")
    @TableField("province_Name")
    private String provinceName;

    @ApiModelProperty("0.以上送 1.未上送 2.取消上送 3.待重新上送")
    @TableField("is_upload_head")
    private Integer isUploadHead;

    public void setAlarmBackId(String alarmBackId) {
        if (StrUtil.isNotBlank(alarmBackId)) {
            this.alarmBackId = alarmBackId;
        } else {
            this.alarmBackId = null;
        }
    }

    public void setExecuteOrgId(String executeOrgId) {
        if (StrUtil.isNotBlank(executeOrgId)) {
            this.executeOrgId = executeOrgId;
        } else {
            this.executeOrgId = null;
        }
    }

    public void setExecuteOrgName(String executeOrgName) {
        if (StrUtil.isNotBlank(executeOrgName)) {
            this.executeOrgName = executeOrgName;
        } else {
            this.executeOrgName = null;
        }
    }

    public void setTreatmentMeasures(String treatmentMeasures) {
        if (StrUtil.isNotBlank(treatmentMeasures)) {
            this.treatmentMeasures = treatmentMeasures;
        } else {
            this.treatmentMeasures = null;
        }
    }

    public void setFillUserId(String fillUserId) {
        if (StrUtil.isNotBlank(fillUserId)) {
            this.fillUserId = fillUserId;
        } else {
            this.fillUserId = null;
        }
    }

    public void setFillUserName(String fillUserName) {
        if (StrUtil.isNotBlank(fillUserName)) {
            this.fillUserName = fillUserName;
        } else {
            this.fillUserName = null;
        }
    }

    public void setCompleteTime(LocalDateTime completeTime) {
        this.completeTime = completeTime;
    }

    public void setWorkAlarmId(String workAlarmId) {
        if (StrUtil.isNotBlank(workAlarmId)) {
            this.workAlarmId = workAlarmId;
        } else {
            this.workAlarmId = null;
        }
    }

    public void setFeedbackOrgId(String feedbackOrgId) {
        if (StrUtil.isNotBlank(feedbackOrgId)) {
            this.feedbackOrgId = feedbackOrgId;
        } else {
            this.feedbackOrgId = null;
        }
    }

    public void setFeedbackOrgName(String feedbackOrgName) {
        if (StrUtil.isNotBlank(feedbackOrgName)) {
            this.feedbackOrgName = feedbackOrgName;
        } else {
            this.feedbackOrgName = null;
        }
    }

    public void setProvinceId(String provinceId) {
        if (StrUtil.isNotBlank(provinceId)) {
            this.provinceId = provinceId;
        } else {
            this.provinceId = null;
        }
    }

    public void setProvinceName(String provinceName) {
        if (StrUtil.isNotBlank(provinceName)) {
            this.provinceName = provinceName;
        } else {
            this.provinceName = null;
        }
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public void setBillName(String billName) {
        this.billName = billName;
    }

    public void setIsUploadHead(Integer isUploadHead) {
        this.isUploadHead = isUploadHead;
    }
}
